MongoDB\Driver\BulkWrite::insert
MongoDB\Driver\WriteConcern
MongoDB\Driver\BulkWrite
PHP Manual

# MongoDB\Driver\BulkWrite::update

(mongodb >=1.0.0)

MongoDB\Driver\BulkWrite::update — Add an update operation to the bulk

### Description

public void MongoDB\Driver\BulkWrite::update ( array|object `$filter` , array|object `$newObj` [, array `$updateOptions` ] )

Adds an update operation to the MongoDB\Driver\BulkWrite.

### Parameters

`filter` (array|object)

  The search filter.

`newObj` (array|object)

  A document containing either update operators (e.g. $set) or a replacement document (i.e. only field:value expressions).

`updateOptions`

  updateOptions
  Option | Type | Description | Default
  --- | --- | --- | ---
  multi | bool | Update only the first matching document (multi=false), or all matching documents (multi=true). | `FALSE`
  upsert | bool | If `filter` does not match an existing document, insert a single document. The document will be created from `newObj` if it is a replacement document (i.e. no update operators); otherwise, the operators in `newObj` will be applied to `filter` to create the new document. | `FALSE`

### Return Values

No value is returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\BulkWrite::update() example

`<?php
$bulk = new MongoDB\Driver\BulkWrite;
$bulk->update(
['x' => 2],
['$set' => ['y' => 3]],
['multi' => false, 'upsert' => false]
);
$manager = new MongoDB\Driver\Manager('mongodb://localhost:27017');
$writeConcern = new MongoDB\Driver\WriteConcern(MongoDB\Driver\WriteConcern::MAJORITY, 1000);
$result = $manager->executeBulkWrite('db.collection', $bulk, $writeConcern);
?>`

### See Also

- MongoDB\Driver\Manager::executeBulkWrite() - Execute one or more write operations
- MongoDB\Driver\WriteResult

MongoDB\Driver\BulkWrite::insert
MongoDB\Driver\WriteConcern
MongoDB\Driver\BulkWrite
PHP Manual